Subject: Re: bug#24047: Should 'signal' sometimes return?

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jul 2016 14:37:36 -0400

> Attached is a more-conservative version of the patch, which keeps the
> debug-on-quit behavior when the user types C-g, so that 'signal' never
> returns but C-g might still "return". This is in response to Stefan's email
> at <http://lists.gnu.org/archive/html/emacs-devel/2016-07/msg00958.html>.

Haven't looked in detail, but it looks OK.

A further patch could change the new `quit' function so it checks
debug-on-quit, and either calls the debugger or calls Fsignal.  This way
we don't need the intermediate signal_or_quit function.

        Stefan